cURL
curl --request PATCH \
--url https://api.mottostreaming.com/cms/events/v1/{event_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"event_id": "<string>",
"event_update": {
"project_id": "<string>",
"type_id": "<string>",
"title": "<string>",
"description": "<string>",
"start_time": "2023-11-07T05:31:56Z",
"online_url": "<string>",
"physical_location": {
"venue": "<string>",
"city": "<string>",
"country_code": "<string>",
"continent_code": "<string>",
"coordinates": {
"latitude": 123,
"longitude": 123
}
},
"thumbnail_asset_id": "<string>",
"poster_asset_id": "<string>",
"video_ids": [
"<string>"
],
"fields": {},
"localized_title": {},
"localized_description": {},
"localized_thumbnail_asset_id": {},
"localized_poster_asset_id": {},
"banner_asset_id": {
"banner_asset_id": {}
},
"localized_banner_asset_id": {}
},
"update_mask": "<string>"
}
'import requests
url = "https://api.mottostreaming.com/cms/events/v1/{event_id}"
payload = {
"event_id": "<string>",
"event_update": {
"project_id": "<string>",
"type_id": "<string>",
"title": "<string>",
"description": "<string>",
"start_time": "2023-11-07T05:31:56Z",
"online_url": "<string>",
"physical_location": {
"venue": "<string>",
"city": "<string>",
"country_code": "<string>",
"continent_code": "<string>",
"coordinates": {
"latitude": 123,
"longitude": 123
}
},
"thumbnail_asset_id": "<string>",
"poster_asset_id": "<string>",
"video_ids": ["<string>"],
"fields": {},
"localized_title": {},
"localized_description": {},
"localized_thumbnail_asset_id": {},
"localized_poster_asset_id": {},
"banner_asset_id": { "banner_asset_id": {} },
"localized_banner_asset_id": {}
},
"update_mask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
event_id: '<string>',
event_update: {
project_id: '<string>',
type_id: '<string>',
title: '<string>',
description: '<string>',
start_time: '2023-11-07T05:31:56Z',
online_url: '<string>',
physical_location: {
venue: '<string>',
city: '<string>',
country_code: '<string>',
continent_code: '<string>',
coordinates: {latitude: 123, longitude: 123}
},
thumbnail_asset_id: '<string>',
poster_asset_id: '<string>',
video_ids: ['<string>'],
fields: {},
localized_title: {},
localized_description: {},
localized_thumbnail_asset_id: {},
localized_poster_asset_id: {},
banner_asset_id: {banner_asset_id: {}},
localized_banner_asset_id: {}
},
update_mask: '<string>'
})
};
fetch('https://api.mottostreaming.com/cms/events/v1/{event_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"event": {
"project_id": "<string>",
"id": "<string>",
"type_id": "<string>",
"title": "<string>",
"description": "<string>",
"start_time": "2023-11-07T05:31:56Z",
"online_url": "<string>",
"physical_location": {
"venue": "<string>",
"city": "<string>",
"country_code": "<string>",
"continent_code": "<string>",
"coordinates": {
"latitude": 123,
"longitude": 123
}
},
"thumbnail_asset_id": "<string>",
"poster_asset_id": "<string>",
"video_ids": [
"<string>"
],
"fields": {},
"create_time": "2023-11-07T05:31:56Z",
"localized_title": {},
"localized_description": {},
"localized_thumbnail_asset_id": {},
"localized_poster_asset_id": {},
"banner_asset_id": {
"banner_asset_id": {}
},
"localized_banner_asset_id": {}
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Events
Update event
UpdateEvent
Updates existing event.
PATCH
/
cms
/
events
/
v1
/
{event_id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
OK
An event happening at a certain time and location, such as a sports game, concert, lecture, or festival.
Show child attributes
Show child attributes
⌘I

